# psp-config.c File Reference

`#include <stdio.h>`
`#include <getopt.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`

Include dependency graph for psp-config.c:

## Defines

#define | PSPDEV_ENV "PSPDEV"
#define | PATH_ENV "PATH"
#define | MAX_PATH 256
#define | PATH_SEP ":"
#define | DIR_SEP '/'
#define | DIR_SEP_STR "/"
#define | PSPDEV_PATH_SUFFIX "/bin/psp-config"

## Enumerations

enum | PspConfigMode { PSP_CONFIG_UNKNOWN, PSP_CONFIG_PSPSDK_PATH, PSP_CONFIG_PSPDEV_PATH, PSP_CONFIG_PSP_PREFIX }

## Functions

int | process_args (int argc, char **argv)
void | print_help (void)
char * | find_pspdev_path (char *name)
void | print_path (char *name)
int | main (int argc, char **argv)

## Define Documentation

#define DIR_SEP '/'

#define DIR_SEP_STR "/"

#define MAX_PATH 256

#define PATH_ENV "PATH"

#define PATH_SEP ":"

#define PSPDEV_ENV "PSPDEV"

#define PSPDEV_PATH_SUFFIX "/bin/psp-config"

## Enumeration Type Documentation

enum PspConfigMode

Enumerator:

  PSP_CONFIG_UNKNOWN |
  PSP_CONFIG_PSPSDK_PATH |
  PSP_CONFIG_PSPDEV_PATH |
  PSP_CONFIG_PSP_PREFIX |

## Function Documentation

char* find_pspdev_path | ( | char * | name | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

void print_help | ( | void |  | ) |

void print_path | ( | char * | name | ) |

int process_args | ( | int | argc,
|  | char ** | argv
| ) |